<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="css/main.css">
    <link rel="stylesheet" href="css/person.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
        integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    <script src="js/modules/stat-meter.js"></script>
    <script src="https://www.gstatic.com/charts/loader.js"></script>
    <title>Person :: Sora Statusboard</title>
</head>

<body>
    <header id="mainHeader"></header>
    <main>
        <header>
            <img />
            <div class="data">
                <h1></h1>
                <p class="title"></p>
            </div>
            <div id="buttons">
                <button id="editPersonButton"><i class="fas fa-user-cog"></i></button>
                <button id="addAwardButton"><i class="fas fa-trophy"></i></button>
            </div>
        </header>
        <section id="currentStats">
            <h2>Current Stats</h2>
            <div class="container">
                <div class="stat" data-name="customerSatisfaction" title="Customer Satisfaction">
                    <i class="fas fa-grin"></i>
                    <p></p>
                </div>
                <div class="stat" data-name="sameDay" title="Same Day Close">
                    <i class="fas fa-calendar-check"></i>
                    <p></p>
                </div>
                <div class="stat" data-name="ticketTime" title="Average Minutes per Ticket">
                    <i class="fas fa-clock"></i>
                    <p></p>
                </div>
            </div>
        </section>
        <section id="awards">
            <h2>Awards</h2>
            <div class="container"></div>
        </section>
        <section id="ytdStats">
            <h2>Year to Date Stats</h2>
            <div class="container">
                <div id="ytdLabels">
                    <i class="fas fa-grin"></i>
                    <i class="fas fa-calendar-check"></i>
                    <i class="fas fa-ticket-alt"></i>
                    <i class="fas fa-clock"></i>
                </div>
            </div>
        </section>
        <section id="ticketCount">
            <h2>Tickets Closed</h2>
            <div class="container">
                <div id="chart"></div>
                <p><strong>Total:&nbsp;</strong><span></span></p>
        </section>
        <section id="surveys">
            <header>
                <h2>Survey Results</h2>
                <form id="surveyRangeForm">
                    <label for="start">Start:</label>
                    <input type="date" name="start" />

                    <label for="end">End:</label>
                    <input type="date" name="end" />

                    <button type="submit">Go</button>
                </form>
            </header>
            <div class="container">
                <table id="surveyTable">
                    <thead>
                        <tr>
                            <th>Ticket Number</th>
                            <th>Company</th>
                            <th>Contact</th>
                            <th>Score</th>
                            <th>Comments</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </section>
    </main>

    <template id="awardTemplate">
        <div class="award">
            <i class="fas"></i>
            <div>
                <p class="name"></p>
                <p class="date"></p>
            </div>
        </div>
    </template>

    <template id="monthStatTemplate">
        <div class="monthStat">
            <p class="month"></p>
            <stat-meter type="satisfaction" percentage></stat-meter>
            <stat-meter type="sameDay" percentage></stat-meter>
            <stat-meter type="ticketsClosed"></stat-meter>
            <stat-meter type="ticketTime" inverted></stat-meter>
        </div>
    </template>

    <form id="awardForm">
        <h2>Award this Person</h2>

        <label for="name">Name:<sup>&ast;</sup></label>
        <select name="name" required>
            <option value="">Select One</option>
            <option value="Geek of the Week">Geek of the Week</option>
            <option value="Geek of the Month">Geek of the Month</option>
        </select>

        <div>
            <button id="cancelButton"><i class="fas fa-times"></i></button>
            <button type="submit"><i class="fas fa-save"></i></button>
        </div>
    </form>

    <script src="js/person.js" type="module"></script>
</body>

</html>